OSGVIEWER(1)

NAME
osgviewer - 3D viewer for multiple file formats.

SYNOPSIS
osgviewer [options] filename ...

OPTIONS

--COMPUTE_NEAR_FAR_MODE <mode>
    DO_NOT_COMPUTE_NEAR_FAR | COMPUTE_NEAR_FAR_USING_BOUNDING_VOLUMES | COMPUTE_NEAR_FAR_USING_PRIMITIVES

--CullDrawThreadPerContext
    Select CullDrawThreadPerContext threading model for viewer.

--CullThreadPerCameraDrawThreadPerContext
    Select CullThreadPerCameraDrawThreadPerContext threading model for viewer.

--DrawThreadPerContext
    Select DrawThreadPerContext threading model for viewer.

--NEAR_FAR_RATIO <float>
    Set the ratio between near and far planes - must greater than 0.0 but less than 1.0.

--SingleThreaded
    Select SingleThreaded threading model for viewer.

--accum-rgb
    Request a rgb accumulator buffer visual

--accum-rgba
    Request a rgb accumulator buffer visual

--borderless-window <x y w h>
    Set the position (x,y) and size (w,h) of a borderless viewer window.

--cc
    Request use of compile contexts and threads

--clear-color <color>
    Set the background color of the viewer in the form "r,g,b[,a]".

--dem <filename>
    Load an image/DEM and render it on a HeightField

--device <device-name>
    add named device to the viewer

--display <type>
    MONITOR | POWERWALL | REALITY_CENTER | HEAD_MOUNTED_DISPLAY

--enable-object-cache
    Enable caching of objects, images, etc.

--gl-flags <mask> Set the hint of which GL flags projfile mask to use when
    creating graphics contexts.

--gl-profile-mask <mask>
    Set the hint of which GL context profile mask to use when creating graphics contexts.

--gl-version <major.minor>
    Set the hint of which GL version to use when creating graphics contexts.

--help-all
    Display all command line, env vars and keyboard & mouse bindings.

--help-env
    Display environmental variables available

--help-keys
    Display keyboard & mouse bindings available

--image <filename>
    Load an image and render it on a quad

--implicit-buffer-attachment-render-mask
    OFF | DEFAULT | [~]COLOR | [~]DEPTH | [~]STENCIL. Substitute missing buffer attachments for render FBO

--implicit-buffer-attachment-resolve-mask
    OFF | DEFAULT | [~]COLOR | [~]DEPTH | [~]STENCIL. Substitute missing buffer attachments for resolve FBO

--keystone <filename>
    Specify a keystone file to be used by the viewer for keystone correction.

--keystone-off
    Set the keystone hint to false.

--keystone-on
    Set the keystone hint to true to tell the viewer to do keystone correction.

--login <url> <username> <password>
    Provide authentication information for http file access.

--menubar-behavior <behavior>
    Set the menubar behavior (AUTO_HIDE | FORCE_HIDE | FORCE_SHOW)

--rgba
    Request a RGBA color buffer visual

--run-continuous
    Set the run methods frame rate management to rendering frames continuously.

--run-max-frame-rate
    Set the run methods maximum permissible frame rate, 0.0 is default and switching off frame rate capping.

--run-on-demand
    Set the run methods frame rate management to only rendering frames when required.

--samples <num>
    Request a multisample visual

--screen <num>
    Set the screen to use when multiple screens are present.

--serialize-draw <mode>
    OFF | ON - set the serialization of draw dispatch

--speed <factor>
    Speed factor for animation playing (1 == normal speed).

--stats
    print out load and compile timing stats

--stencil
    Request a stencil buffer visual

--stereo
    Use default stereo mode which is ANAGLYPHIC if not overridden by environmental variable

--stereo <mode>
    ANAGLYPHIC | QUAD_BUFFER | HORIZONTAL_SPLIT | VERTICAL_SPLIT | LEFT_EYE | RIGHT_EYE | HORIZONTAL_INTERLACE | VERTICAL_INTERLACE | CHECKERBOARD | ON | OFF

--swap-method <method>
    DEFAULT | EXCHANGE | COPY | UNDEFINED. Select preferred swap method.

--sync
    Enable sync of swap buffers

--window <x y w h>
    Set the position (x,y) and size (w,h) of the viewer window.

-O <option_string>
    Provide an option string to reader/writers used to load databases

-e <extension>
    Load the plugin associated with handling files with specified extension

-h or --help
    Display command line parameters

-l <library>
    Load the plugin

-p <filename>
    Play specified camera path animation file, previously saved with 'z' key.